Skip to main content
PATCH
Update book metadata

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

bookId
string
required

Body

application/json

Metadata fields to update. Set a field to null to unset the metadata. You can omit fields you don't want to update.

authors
object[]
authorsLock
boolean
isbn
string
isbnLock
boolean
number
string
numberLock
boolean
numberSort
number<float>
numberSortLock
boolean
releaseDate
string<date>
releaseDateLock
boolean
summary
string
summaryLock
boolean
tags
string[]
tagsLock
boolean
title
string
titleLock
boolean

Response

No Content